
/*
 *@@sourcefile xmlview.h:
 *      header for xmlview.cpp.
 */

/*
 *      Copyright (C) 2000-2003 Ulrich Mller.
 *
 *      This file is part of the XWorkplace source package.
 *      XWorkplace is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published
 *      by the Free Software Foundation, in version 2 as it comes in the
 *      "COPYING" file of the XWorkplace main distribution.
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 */

/* ******************************************************************
 *
 *   Declarations
 *
 ********************************************************************/

#define IDP_DRIVE                       1           // default icon also
#define IDP_PARTITION                   2

#define IDM_FILE                        100
#define IDMI_OPEN                       101
#define IDMI_EXIT                       102

#define IDM_VIEW                        110
#define IDMI_VIEW_BARCHART              111
#define IDMI_VIEW_PIECHART              112
#define IDMI_VIEW_REFRESH               113

#define IDM_HELP                        120
#define IDMI_HELP_PRODINFO              121

#define IDM_WHITESPACE                  200
#define IDMI_INSTALLBMGR                201
#define IDMI_REMOVEBMGR                 202
#define IDMI_SETMGRVALUES               203

#define IDM_FREESPACE                   300
#define IDMI_FREESPACE_CREATEVOLUME     301

#define IDM_PARTITION                   400
#define IDMI_RENAME                     402
#define IDMI_DELETE                     403
#define IDMI_PARTITION_CREATEVOLUME     404

#define IDM_VOLUME                      500
#define IDMI_EXPANDVOLUME               501
#define IDMI_HIDEVOLUME                 503
#define IDMI_CHANGELETTER               504
#define IDMI_RENAMEPARTITION_VOLUME     505
#define IDMI_SETSTARTABLE               507
#define IDMI_ADDTOBMGR                  508
#define IDMI_REMOVEFROMBMGR             509


